Get collection catalog

GET
/beta/knowledge/collections/{collectionId}/catalog

Get collection catalog, including all categories and articles

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

collectionId*string
Formatuuid

Query Parameters

language?string

Language in which the article translations will be returned. If not provided, the default language will be used.

Response Body

The knowledge collection catalog

application/json
  1. response
data*
Example Request
curl -X GET 'https://dev.dixa.io/beta/knowledge/collections/{collectionId}/catalog' \  -H 'Authorization: <API token>'
{
"data": {
"categories": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": {
"languageId": "en",
"title": "Getting Started"
},
"categories": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": {
"languageId": "en",
"title": "Getting Started"
},
"categories": [],
"articles": [
{
"id": "5f2640d8-631c-4472-8d48-3de0cfd21cd0",
"title": {
"languageId": "en",
"title": "Getting Started"
}
}
]
}
],
"articles": [
{
"id": "5f2640d8-631c-4472-8d48-3de0cfd21cd0",
"title": {
"languageId": "en",
"title": "Getting Started"
}
}
]
}
],
"articles": [
{
"id": "5f2640d8-631c-4472-8d48-3de0cfd21cd0",
"title": {
"languageId": "en",
"title": "Getting Started"
}
}
]
}
}